Bug 592824 - There is no sound for HDA-Intel Realtek ALC259
There is no sound for HDA-Intel Realtek ALC259
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-17 01:44 EDT by biAji
Modified: 2011-06-27 12:24 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:24:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Alsa-info output file (11.23 KB, text/plain)
2010-05-17 01:44 EDT, biAji
no flags Details

  None (edit)
Description biAji 2010-05-17 01:44:37 EDT
Created attachment 414457 [details]
Alsa-info output file

Description of problem:

There is no sound output for "HDA-Intel Realtek ALC259". Actually, I don't know if it's alsa-firmware's fault. But I found this post (https://bugs.launchpad.net/ubuntu/+source/linux/+bug/575793) and it looks just the same.

I believe it related to this bug report (https://bugzilla.redhat.com/show_bug.cgi?id=571207) which is never been covered.


Version-Release number of selected component (if applicable):

alsa-oss-1.0.17-4.fc12.x86_64
alsa-lib-1.0.23-1.fc13.x86_64
alsa-lib-devel-1.0.23-1.fc13.x86_64
alsa-plugins-pulseaudio-1.0.22-1.fc13.x86_64
alsa-lib-1.0.23-1.fc13.i686
alsa-utils-1.0.22-1.fc13.x86_64
alsa-oss-libs-1.0.17-4.fc12.x86_64


How reproducible:




Steps to Reproduce:
1. Get a machine with "HDA-Intel Realtek ALC259" soundcard, such as Dell optiplex 380.
2. Install Fedora 13
3. No sound there.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tim Jackson 2010-05-17 02:13:06 EDT
With the links you've posted, this seems to be a kernel, rather than an alsa-firmware issue.
Comment 2 Nik Lam 2010-07-01 08:12:38 EDT
The Dell Latitude 2110 netbook, which is one of the few that consumers can buy without Microsoft Windows, is affected by this. The internal microphone and line-out (headphones) do not work.

I've installed a 2.6.34 kernel from koji (2.6.34-45.fc14.i686) and this fixes the audio problem, but this non-repo kernel means you can't use the broadcom-wl package from rpmfusion to get wifi working.
Comment 3 biAji 2010-07-02 01:52:17 EDT
@Nik Thanks for your tip.  I installed 2.6.34-45.fc14.x86_64 and still has nosound output..

Must I install i686 for this issue?
Comment 4 biAji 2010-07-02 03:13:44 EDT
@Nik  Give a try about method in this post:

https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/582199

It solved my issue temporally.
Comment 5 Jim Sublette 2010-07-23 09:26:07 EDT
I have the same audio setup in an Asus U52F laptop.   The sound works with the default kernel.  However the headphone jack was dead.  Adding "options snd-hda-intel model=auto" to /etc/modprobe.d/dist-alsa.conf activates the headphone jack.
Comment 6 Bug Zapper 2011-06-02 09:56:47 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2011-06-27 12:24:57 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.